export function getVideoPlayUrl(playAuth?: { play_info_list?: any } | any) {
  const playInfoList = playAuth?.play_info_list ?? playAuth

  if (Array.isArray(playInfoList)) {
    return playInfoList.find((item: any) => item.Definition === 'SD')?.PlayURL || playInfoList[0]?.PlayURL || ''
  }

  return typeof playInfoList === 'string' ? playInfoList : ''
}
